Not logged in. · Lost password · Register
Forum: General Help and Support Installation and Configuration RSS
2018-04-22b not installing
Upgrade plugging leads to 2 errors on attempt to upgrade 2018-04-22a -> 2018-04-22b
Avatar
FilSalustri #1
Member since Jun 2012 · 15 posts · Location: Toronto, Canada
Group memberships: Members
Show profile · Link to this post
Subject: 2018-04-22b not installing
Running upgrade to 2018-04-22b leads to following:

1. Output ends with:
All files updated
Deprecated inc/plugin.php deleted.
Upgrade complete. Enjoy your new DokuWiki.

But I get a popup reading "parseerror".

When I click ok, I get another popup reading: SyntaxError: Unexpected token < in JSON at position 0

Then clicking ok again, I get the following error:
Warning: require(/Library/WebServer/Documents/dokuwiki/inc/Plugin.php): failed to open stream: No such file or directory in /Library/WebServer/Documents/dokuwiki/inc/load.php on line 110

Fatal error: require(): Failed opening required '/Library/WebServer/Documents/dokuwiki/inc/Plugin.php' (include_path='.:') in /Library/WebServer/Documents/dokuwiki/inc/load.php on line 110

I then find inc/Plugin.php is missing. I then copy it into place from a zip of the downloaded clean DK. The wiki then works.

But 2018-04-22b is NOT installed.

Can someone please help me understand how to fix this?
Avatar
turnermm (Moderator) #2
Member since Oct 2009 · 4690 posts · Location: Canada
Group memberships: Global Moderators, Members, Super Mods
Show profile · Link to this post
This has been an ongoing problem.  See for instance: https://forum.dokuwiki.org/thread/16617

And if that doesn't help, search the forum for plugin.php.

There's a good chance your update has gone through.  Re-try the upgrade plugin.  Hopefully, either it will bring you up-to-date or tell you what's up.
Myron Turner
github: https://github.com/turnermm
plugins, templates: http://www.mturner.org/devel
Avatar
FilSalustri #3
Member since Jun 2012 · 15 posts · Location: Toronto, Canada
Group memberships: Members
Show profile · Link to this post
Myron,
I'm running on MacOS, so capitalization of Plugin.php shouldn't be a problem.
At the end of the process, before I copy in a new Plugin.php, there exists neither Plugin.php nor plugin.php.
I'm willing to try the dokuwiki downloader (and will do, next chance I get) but I always worry that it will overwrite something important to me.
The instance I reported here is the 3rd attempt I've made to install 2018-04-22b; so I'm not sure doing it again will help. But I will try.
Finally, I note that in doku.php, $updateVersion is still 50.1.

I will report back next week, when I have a chance to sit down and try all this stuff again.
Avatar
turnermm (Moderator) #4
Member since Oct 2009 · 4690 posts · Location: Canada
Group memberships: Global Moderators, Members, Super Mods
Show profile · Link to this post
If the update version is still at 5.01, it probably hasn't been fully updated, if at all.  I have a mac available to me.  I'll see what I can do to check it out.  I'm not sure where I am with updating on the mac; basically, I just use it for testing.
Myron Turner
github: https://github.com/turnermm
plugins, templates: http://www.mturner.org/devel
Avatar
turnermm (Moderator) #5
Member since Oct 2009 · 4690 posts · Location: Canada
Group memberships: Global Moderators, Members, Super Mods
Show profile · Link to this post
In reply to post #3
By the way:  be aware that for the dokuwiki downloader, you have to install into an empty directory, since it deletes everything from the install folder but the new installation.
Myron Turner
github: https://github.com/turnermm
plugins, templates: http://www.mturner.org/devel
Avatar
turnermm (Moderator) #6
Member since Oct 2009 · 4690 posts · Location: Canada
Group memberships: Global Moderators, Members, Super Mods
Show profile · Link to this post
In reply to post #3
Well, it took some doing. The problem is that the upgradder removes Plugin.php as deprecated, but at least the mac installation needs it (since I've upgraded a numbert of greebos elsewhere without this problem), So after several tries, this is what worked.
   1. I downloaded the latest stable dokuwiki from download.dokuwiki.org; it has the needed Plugin.php.
   2.  I put it in the inc directory, from which  the downloader (I think) had deleted it. 
   3 . I did the upgrade
   4.  I replaced the Plugin.php back into the inc directory.
Myron Turner
github: https://github.com/turnermm
plugins, templates: http://www.mturner.org/devel
Avatar
FilSalustri #7
Member since Jun 2012 · 15 posts · Location: Toronto, Canada
Group memberships: Members
Show profile · Link to this post
Myron,
Thanks again. I will try these steps next week when I'm back in the office.
Just FYI, the Mac isn't running the latest OS. It's running 10.12.6. And PHP 5.6.30.
Avatar
FilSalustri #8
Member since Jun 2012 · 15 posts · Location: Toronto, Canada
Group memberships: Members
Show profile · Link to this post
In reply to post #6
Subject: No joy.
Myron,
I followed your instructions of 18 Jan, but I still get the exact same problems as originally described.
And $updateVersion is still 50.1.

I guess I'll have to try the downloader next....
Avatar
FilSalustri #9
Member since Jun 2012 · 15 posts · Location: Toronto, Canada
Group memberships: Members
Show profile · Link to this post
Subject: Looking for pointers re upgrading with downloader
Since I can't seem to get the upgrade plugin to do the 2018-04-22b hotfix, I'm looking at using the downloader.

However, everything I've read suggests to me that this can be.... dangerous.
Can someone point me to some doc somewhere that walks one through the process of using the downloader for an upgrade?
Avatar
turnermm (Moderator) #10
Member since Oct 2009 · 4690 posts · Location: Canada
Group memberships: Global Moderators, Members, Super Mods
Show profile · Link to this post
You MUST NOT use the downloader for upgrades.  It deletes everything in the directory and replaces it with the new dokuwiki.
Myron Turner
github: https://github.com/turnermm
plugins, templates: http://www.mturner.org/devel
Avatar
FilSalustri #11
Member since Jun 2012 · 15 posts · Location: Toronto, Canada
Group memberships: Members
Show profile · Link to this post
Myron,
I'd gathered that, though I certainly appreciate the warning.
I figured there's a way to use the downloader to create a wiki and then copy my stuff on top of it so that it amounts to a clumsy but ultimately doable upgrade.
Did I figure wrong?
If not, then... what's the sensible next step? Wait for the upgrade plugin to be fixed?
(Just looking for clarity here; I'm not complaining.)
Avatar
turnermm (Moderator) #12
Member since Oct 2009 · 4690 posts · Location: Canada
Group memberships: Global Moderators, Members, Super Mods
Show profile · Link to this post
That should be ok.  But it's probably a good idea not to copy over the cache.
Myron Turner
github: https://github.com/turnermm
plugins, templates: http://www.mturner.org/devel
Avatar
FilSalustri #13
Member since Jun 2012 · 15 posts · Location: Toronto, Canada
Group memberships: Members
Show profile · Link to this post
Thanks Myron. Assume no (further) news from me is good news.  ;-)
Close Smaller – Larger + Reply to this post:
Verification code: VeriCode Please enter the word from the image into the text field below. (Type the letters only, lower case is okay.)
Smileys: :-) ;-) :-D :-p :blush: :cool: :rolleyes: :huh: :-/ <_< :-( :'( :#: :scared: 8-( :nuts: :-O
Special characters:
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2019-08-24, 02:17:23 (UTC +02:00)